# Class VerifyError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.LinkageError
java.lang.VerifyError

All Implemented Interfaces:
  `Serializable`

public class VerifyError extends LinkageError
Thrown when the "verifier" detects that a class file, though well formed, contains some sort of internal inconsistency or security problem.

Since:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VerifyError()`
Constructs an `VerifyError` with no detail message.
`VerifyError(String s)`
Constructs an `VerifyError` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VerifyError

public VerifyError()
Constructs an `VerifyError` with no detail message.

### VerifyError

public VerifyError(String s)
Constructs an `VerifyError` with the specified detail message.

Parameters:
  `s` - the detail message.